# React Flow Contribution Guidelines

Thanks for your interest in contributing to React Flow 🙌  
Every form of contribution is appreciated. From issue reports to pull requests and documentation 👌  
Please check out the [existing issues](https://github.com/wbkd/react-flow/issues) and [discussions](https://github.com/wbkd/react-flow/discussions) before you open a new one. 

#### 🐛 Bug Reports

For reporting bugs, please create a [new issue](https://github.com/wbkd/react-flow/issues/new/choose).

#### ☝️ General Usage

When you have questions about the general usage of React Flow you can use the [Q & A section](https://github.com/wbkd/react-flow/discussions/categories/q-a) or the [Discord channel](https://discord.gg/Bqt6xrs).

#### ✨ Feature Requests 

If you are missing a certain feature, please use the [New Features](https://github.com/wbkd/react-flow/discussions/categories/new-features) discussion section.

#### 📝 Docs 

The docs have its own [react-flow-docs repo](https://github.com/wbkd/react-flow-docs). Please open an issue or pull request there if you are missing something.

#### 💫 Pull Requests

If you want to contribute improvements or new features we are happy to review your PR :)  
Please use a meaningful commit message and add a little description of your changes.

1. Install dependencies `pnpm install` 
2. Start dev server `pnpm dev` 
3. Test your changes with the existing examples or add a new one if it's needed for your changes
4. Run tests `pnpm test` and add new new tests if you are introducing a new feature
